at.chipkarte.client.prop.soap

## Class UntersuchungData

- Object
- - at.chipkarte.client.prop.soap.UntersuchungData

-     public class UntersuchungData
      extends Object

  Beinhaltet die Untersuchungsgruppe und alle zugehörigen ermittelten Untersuchungen der Gruppe.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UntersuchungData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Untersuchungen[]` | `getUntersuchung()` Die zu dieser Untersuchungsgruppe gehörenden `Untersuchungen`.
    `String` | `getUntersuchungGruppeCode()` Code der Untersuchungsgruppe.
    `String` | `getUntersuchungGruppeText()` Textuelle Beschreibung der Untersuchungsgruppe.
    `void` | `setUntersuchung(Untersuchungen[] untersuchung)`
    `void` | `setUntersuchungGruppeCode(String untersuchungGruppeCode)`
    `void` | `setUntersuchungGruppeText(String untersuchungGruppeText)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UntersuchungData

          public UntersuchungData()

  - ### Method Detail

    - #### getUntersuchungGruppeText

          public String getUntersuchungGruppeText()

      Textuelle Beschreibung der Untersuchungsgruppe.
      Format: max. 150-stellig
      Returns:
        Beschreibung der Untersuchungsgruppe

    - #### setUntersuchungGruppeText

          public void setUntersuchungGruppeText(String untersuchungGruppeText)

    - #### getUntersuchungGruppeCode

          public String getUntersuchungGruppeCode()

      Code der Untersuchungsgruppe.
      Format: 6-stellig
      Returns:
        Code der Untersuchungsgruppe

    - #### setUntersuchungGruppeCode

          public void setUntersuchungGruppeCode(String untersuchungGruppeCode)

    - #### getUntersuchung

          public Untersuchungen[] getUntersuchung()

      Die zu dieser Untersuchungsgruppe gehörenden `Untersuchungen`.
      Returns:
        Untersuchungen

    - #### setUntersuchung

          public void setUntersuchung(Untersuchungen[] untersuchung)